Articles of gemfile

¿Cómo lidiar con las actualizaciones del package (Gemfile.lock) en un context queueborativo?

He sido un progtwigdor solitario en un proyecto en particular, pero ahora alguien más se ha unido como queueborador. Con solo yo en la image, bundler actualizaciones del bundler han sido fluidas, y nunca pensé dos veces antes de que Gemfile.lock fuera rastreado por Git. El nuevo queueborador ejecutó la bundle install después de clonar […]

remoto: repository no encontrado después de actualizar el token oauth

Después de actualizar mi token de acceso personal github, que utilizo para autenticar una gem de un repository privado, el package sigue diciéndome: remote: Repository not found fatal: repository 'https://MY_OAUTH_TOKEN:x-oauth-basic@github.com/me/my_repo.git/' not found La gem se especifica en el Gemfile como siempre he hecho, con commit ref y url (y branch). Traté de eliminar la carpeta […]

¿Cómo se puede iniciar una aplicación de Rails desde una fuente github cuando no incluyen un gemfile?

¿Cómo se inicia una aplicación de Rails (se puede $ solicitar "Rails s" en la terminal y ejecutar en localhost: 3000) desde una fuente github cuando no incluyen un Gemfile? ¿Tengo que crear el mío? Si es así, ¿podemos usar uno genérico? Estaba intentando crear un sitio de preguntas y respuestas para un proyecto en […]

Use notable como gem de Github

Quiero utilizar la última versión de trabajo de la joya Remarkable, porque ha corregido algunas características en desuso compatibles con Rails 3.1. Pero cuando uso gem "remarkable", :git => 'git://github.com/remarkable/remarkable.git' me sale este error: Could not find gem 'remarkable (>= 0) ruby' in git://github.com/remarkable/remarkable.git (at master). Source does not contain any versions of 'remarkable (>= […]

Importación de GitHub: no se pudo ubicar Gemfile

He importado una aplicación Rails de "GitHub", https://github.com/farra/goo.git Al intentar hacer la bundle install , muestra que "No se pudo ubicar Gemfile". Ese repository en realidad no tiene los files enumerados a continuación. Gemfile, Gemfile.lock y config.ru Me gustaría algo de ayuda para continuar con esa aplicación. ¿Hay alguna forma de crear un Gemfile para […]

Utilice la versión de Rails no liberada de Git (posiblemente por número de confirmación)

Intento utilizar Passenger para alojar mi aplicación de Rails, pero como se señala en este número , el logging es un poco raro en los Rails 3.2.1. Alguien ha lanzado una confirmación (que ha sido arrastrada a la twig principal) con una solución. ¿Cómo puedo decirle a mi aplicación que use la twig principal en […]

¿Puedo forzar las dependencies de una gem en gemfile?

Si hay dos gems, A y B A1.0.0 depende de B1.0.0 . En mi Gemfile: gem 'A', '~> 1.0.0' Luego ejecuta el bundle . Generará un Gemfile.lock como: A (1.0.0) B (1.0.0) Pero si quiero obligar a A a usar B1.0.1 , ¿cuál es la mejor práctica? Además, si el B1.0.1 no es versión sino […]

cuando se despliega en Heroku, Git dice que no compruebe Gemfile.lock en el control de versiones y no puede instalar gems a través de bundler

Estoy intentando implementar una aplicación Rails en Heroku usando GIT. Apliqué todas las soluciones que encontré en stackoverflow que creí relevantes. esto es lo que hice: PASO 1: el siguiente es el command y los resultados que obtuve: Hesham@HESHAM-PC /c/rails_projects/first_app (Hesh1) $ git push heroku1 master Enter passphrase for key '/c/Users/Hesham/.ssh/id_rsa': Counting objects: 77, done. […]

Joya remota no se instala en gemset con package

He bifurcado una gem, la actualicé y la estoy usando con mi proyecto. He agregado la siguiente línea a mi gemfile: gem 'pipedrive-ruby', :git => "git://github.com/biznickman/pipedrive-ruby" Luego ejecuto la bundle install y genera: Using pipedrive-ruby 0.3.4 from git://github.com/biznickman/pipedrive-ruby (at master) Sin embargo, cuando ejecuto la gem list para el gemset actual, la gem pipedrive-ruby no […]

Aplicación Cloud9 – Git – Rails (Error en bash después de los cambios en Gemfiles)

Estoy siguiendo un tutorial de Rails para el desarrollo de una aplicación y después de realizar algunos Cambios de Gemfile, recibo dos errores cuando bash aplicar los cambios a Github. Empecé por ramificarme a una nueva twig de código usando la herramienta git y lo hice para crear otra versión del sitio. Lo hice con […]